import request from '@/utils/request'

// 查询平台报价单项目列表
export function listPlay(query) {
  return request({
    url: '/tuya/supplierPlay/list',
    method: 'get',
    params: query
  })
}

// 查询平台报价单项目详细
export function getPlay(id) {
  return request({
    url: '/tuya/supplierPlay/' + id,
    method: 'get'
  })
}

// 新增平台报价单项目
export function addPlay(data) {
  return request({
    url: '/tuya/supplierPlay',
    method: 'post',
    data: data
  })
}

// 修改平台报价单项目
export function updatePlay(data) {
  return request({
    url: '/tuya/supplierPlay',
    method: 'put',
    data: data
  })
}

// 删除平台报价单项目
export function delPlay(id) {
  return request({
    url: '/tuya/supplierPlay/' + id,
    method: 'delete'
  })
}

// 查询报价单下拉列表
export function selectlist() {
  return request({
    url: '/tuya/supplierRelease/selectlist',
    method: 'get'
  })
}
